Subject: Re: [Extra] AD review of draft-ietf-extra-imap-fetch-preview-00

From: Michael Slusarz <[email-masked]>
Date: Wed, 13 Feb 2019 19:46:47 -0700 (MST)

> On January 23, 2019 at 8:03 AM Alexey Melnikov <[email-masked]> wrote:
> 
> On 22/01/2019 20:35, Michael Slusarz wrote:
>
> >> "New algorithm names MUST be registered with IANA and MUST conform with the recommendations described in RFC 6648, Section 3"
> > On additional review, and re-reading RFC 6648, I think the correct language is to omit the "MUST be registered" language.
> >
> > One of the goals of this spec is to allow flexibility for local implementers to expand the PREVIEW functionality as they see fit.  (We are already thinking about at least one additional algorithm we might implement.)  These additional algorithms/modifiers may only be relevant to a single project/customer/use-case however, so they are not necessarily something that will ever be standardized.
> While this is true, it would still be useful to register these to avoid 
> name collisions. This is probably the main point for having an IANA 
> registry.

[snip]

> Personally, I prefer everything to be registered, even if it is not 
> standardized. Maybe "SHOULD be registered with IANA"? What do other 
> people think?

I've deferred to your reasoning, and added the "SHOULD be registered" bit to the latest version.

michael

---

From: Michael Slusarz <[email-masked]>
Date: Wed, 13 Feb 2019 19:49:17 -0700 (MST)

> On January 23, 2019 at 8:11 AM Alexey Melnikov <[email-masked]> wrote:
> 
> 1 small comment on the latest version:
> 
> On 22/01/2019 10:57, Alexey Melnikov wrote:
> > On 22/01/2019 00:48, Michael Slusarz wrote:
> >>> On January 14, 2019 at 4:59 AM Alexey Melnikov 
> >>> <[email-masked]> wrote:
>   [snip]
> >>>
> >>>> In Section 7:
> >>>>
> >>>>     The following syntax specification uses the augmented Backus-Naur
> >>>>     Form (BNF) as described in ABNF [RFC5234].  It includes 
> >>>> definitions
> >>>>     from IMAP [RFC3501].
> >>>>
> >>>>       capability        =/ "PREVIEW=FUZZY"
> >>>>
> >>>> This doesn't quite much what you specify in Section 1.
> >>>> Maybe change it to:
> >>>>
> >>>>          capability        =/ "PREVIEW=" preview-alg
> >>>> ?
> >>> That looks correct to me.
> 
> You forgot to include this change in the latest revision of the document.

Added to latest draft.

Additionally, on further review, realized that any future modifier would also need to be listed as a CAPABILITY. (LAZY doesn't need to be listed, as it is implied with PREVIEW=FUZZY).  So I altered the capability string to:

     capability        =/ "PREVIEW=" (preview-alg / preview-mod-ext)

michael